Subject: Re: MPC8349E's DMA controller like ISA controller but with more feature?

From: lhthanh <[email-masked]>
Date: Fri, 24 Apr 2009 13:12:01 +0700

Thank Scott and Timur!  
> Scott Wood wrote:
>   
>> Timur Tabi (CCed) has written an audio
>> driver that does something very similar; he could probably tell you more
>> about how to do that (this is why such discussions should be kept on the
>> mailing list rather than taken to private e-mail).
>>     
>
> The code in drivers/dma cannot be used to send a buffer of data to a
> single I/O port.  That code is just an elaborate version of memcpy that
> uses the DMA engine to copy data in the background.
>
>   
Thanks for your explaination! So if I want to transfer a buffer of data 
from a single I/O port,  will not DMA framework
also be able ? Have I to write aother driver?
> If you want to transfer a buffer to a single I/O port, you will need to
> write your own DMA driver, similar to what I've done in
> sound/soc/fsl/fsl_dma.c.  This is not trivial.  You will need to
> understand the DMA hardware programming model to determine whether you
> can use direct mode or if you need to create link descriptors.
>
>   
Actually, I don't want write all because there are  serveral DMA code at 
hand. I only want to use a framework instead of re-writing.
And I afraid that I can not write code which assure sharing DMA channels.
 
Regards!